View Zone Dependency Report
View Zone Dependency Report
GET
https://api.ocamba.com/v2/adex/zones/{id}/dependency-reports
Returns a dependency graph for a zone showing resources that block deletion.
Tip
Use this endpoint before deleting a zone to identify blocking Hood push tasks, campaign A/B tests, campaigns, or bid modifiers that target the zone.
Note
A zone is deletable when
deletable is true and blockers is empty.Rate limits:
- Burst: 10/s
- Steady: 150/m
Path parameters
parametersResponse schemas
›
200
application/json
›
400
application/json
›
500
application/json
curl -X GET \
"https://api.ocamba.com/v2/adex/zones/{id}/dependency-reports" \
-H "Authorization: Bearer {TOKEN}"const url = 'https://api.ocamba.com/v2/adex/zones/{id}/dependency-reports';
const options = {
method: 'GET',
headers: {
Authorization: `Bearer {TOKEN}`
}
};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}$ch = curl_init("https://api.ocamba.com/v2/adex/zones/{id}/dependency-reports");
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer {TOKEN}"
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);Responses
200 OK
{
"id": "501",
"resource": "adex_zones",
"name": "Homepage Zone",
"deletable": false,
"blockers": [
{
"id": "42",
"resource": "push_tasks",
"name": "Zone Push",
"deletable": true
},
{
"id": "15",
"resource": "adex_campaign_ab_tests",
"name": "Homepage A/B Test",
"deletable": true
},
{
"id": "1001",
"resource": "adex_campaigns",
"name": "Display Campaign",
"deletable": false,
"blockers": [
{
"id": "502",
"resource": "adex_zones",
"name": "Sidebar Zone",
"deletable": true
}
]
},
{
"id": "7",
"resource": "bid_modifiers",
"name": "Weekend Modifier",
"deletable": false,
"blockers": [
{
"id": "1002",
"resource": "adex_campaigns",
"name": "Retargeting Campaign",
"deletable": true
}
]
}
]
}
400 Bad Request
{
"code": 400,
"title": "Bad request.",
"message": "The request is not valid.",
"trace_id": "99a84211-f73d-4ff8-acdf-eb3e06bb9d62"
}
500 Internal Server Error
{
"code": 500,
"title": "Internal server error.",
"trace_id": "99a84211-f73d-4ff8-acdf-eb3e06bb9d62"
}
Responses